unit SurfaceProEMFUnit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, TeeProcs, TeEngine, Chart, Series, Menus;

type
  TForm1 = class(TForm)
    Chart1: TChart;
    Series1: TLineSeries;
    MainMenu1: TMainMenu;
    Quit1: TMenuItem;
    procedure FormShow(Sender: TObject);
    procedure Quit1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

Uses ShellAPI;

{$R *.dfm}

PROCEDURE  RunAppByDocument(fileName : String);
   CONST
      SW_SHOWNORMAL = 1;
   VAR
      i : INTEGER;
      s : String;
      fName : ARRAY [0..199] OF CHAR;
   begin
   (* showmessage('trying to Run "' + filename + '"'); *)
   IF (Length(fileName) > 190) THEN ShowMessage('File name is too long to run in FindFiles');
   s := fileName;
   FOR i := 1 TO Length(s) DO
      fName[i-1] := s[i];
   fName[Length(s)] := CHR(0);
   ShellExecute(Application.handle, 'open', fName, '', '', SW_SHOWNORMAL);
   END; (* RunAppByDocument *)

procedure TForm1.FormShow(Sender: TObject);
  var
     fName : string;
  begin
  with Series1 do begin
     clear;
     AddXY(1, 2);
     AddXY(2, 3);
     AddXY(3, 4);
     AddXY(4, 3)
     end;
  with Chart1 do begin
    LeftAxis.Minimum := 0;
    LeftAxis.Maximum := 5;
    BottomAxis.Minimum := 0;
    BottomAxis.Maximum := 5;

    fName := ExtractFilePath(Application.ExeName) + 'SurfaceProTest.EMF';
    SaveToMetaFileEnh(fName);
    RunAppByDocument(fName);
    end;
  end;

procedure TForm1.Quit1Click(Sender: TObject);
  begin
  Close;
  end;

end.
